## ros-indigo-ihmc-msgs 0.9.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ihmc_msgs)

find_package(catkin REQUIRED COMPONENTS
  std_msgs
  message_generation
  geometry_msgs
)

 add_message_files(
   FILES
   AbortWalkingRosMessage.msg
   ArmDesiredAccelerationsRosMessage.msg
   ArmTrajectoryRosMessage.msg
   ChestTrajectoryRosMessage.msg
   EndEffectorLoadBearingRosMessage.msg
   EuclideanTrajectoryPointRosMessage.msg
   FootstepDataListRosMessage.msg
   FootstepDataRosMessage.msg
   FootstepStatusRosMessage.msg
   FootTrajectoryRosMessage.msg
   GoHomeRosMessage.msg
   HandDesiredConfigurationRosMessage.msg
   HandTrajectoryRosMessage.msg
   HeadTrajectoryRosMessage.msg
   HighLevelStateChangeStatusRosMessage.msg
   HighLevelStateRosMessage.msg
   LastReceivedMessage.msg
   NeckDesiredAccelerationsRosMessage.msg
   NeckTrajectoryRosMessage.msg
   OneDoFJointTrajectoryRosMessage.msg
   PauseWalkingRosMessage.msg
   PelvisHeightTrajectoryRosMessage.msg
   PelvisOrientationTrajectoryRosMessage.msg
   PelvisTrajectoryRosMessage.msg
   Point2dRosMessage.msg
   SE3TrajectoryPointRosMessage.msg
   SO3TrajectoryPointRosMessage.msg
   StopAllTrajectoryRosMessage.msg
   SupportPolygonRosMessage.msg
   TrajectoryPoint1DRosMessage.msg
   WalkingStatusRosMessage.msg
   WholeBodyTrajectoryRosMessage.msg
 )

 generate_messages(
   DEPENDENCIES
   std_msgs
   geometry_msgs
 )

catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES ihmc_msgs
#  CATKIN_DEPENDS std_msgs
#  DEPENDS system_lib
)

include_directories(
  ${catkin_INCLUDE_DIRS}
)

=== debian/changelog ===
ros-indigo-ihmc-msgs (0.9.2-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Doug Stephen <dstephen@ihmc.us>  Mon, 06 Mar 2017 22:57:49 -0000

=== debian/control ===
Source: ros-indigo-ihmc-msgs
Section: misc
Priority: extra
Maintainer: Doug Stephen <dstephen@ihmc.us>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-std-msgs
Homepage: http://github.com/ihmcrobotics/ihmc_ros_core
Standards-Version: 3.9.2

Package: ros-indigo-ihmc-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-geometry-msgs, ros-indigo-message-runtime, ros-indigo-std-msgs
Description: The ihmc_msgs package defines the IHMC ROS API

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-ihmc-msgs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
